Package org.eclipse.zest.layouts.interfaces

# Interface ConnectionLayout

public interface ConnectionLayout

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`NodeLayout`
`getSource()`
`NodeLayout`
`getTarget()`
`double`
`getWeight()`
`boolean`
`isDirected()`
Checks if this connection is directed.
`boolean`
`isVisible()`
Checks the visibility state of this connection.
`void`
`setVisible(boolean visible)`
Changes the visibility state of this connection.

## Method Details

### getSource

NodeLayout getSource()

### getTarget

NodeLayout getTarget()

### getWeight

double getWeight()

Returns:
  weight assigned to this connection

### isDirected

boolean isDirected()
Checks if this connection is directed. For undirected connections, source and target nodes should be considered just adjacent nodes without dividing to source/target.

Returns:
  true if this connection is directed

### setVisible

void setVisible(boolean visible)
Changes the visibility state of this connection.

Parameters:
  `visible` - true if this connection should be visible, false otherwise

### isVisible

boolean isVisible()
Checks the visibility state of this connection.

Returns:
  true if this connection is visible, false otherwise